R is a free software environment for statistical computing and graphics.

learn more… | top users | synonyms

0
votes
1answer
87 views

Can only install some R-Packages (Ubuntu 14.04 server)

I am trying to install the FastRWeb package for R on this Ubuntu server. I updated sources.list with: deb http://ftp.heanet.ie/mirrors/cran.r-project.org/bin/linux/ubuntu trusty/ I have tried both: ...
1
vote
1answer
38 views

Highlight multiple cells according to list in Libreoffice Calc

I am new users of Calc. I would like to highlight different cells that have different Id. My aim is to copy the hole row of each of them. Here is an example what I would like to do. Id Name Age ...
0
votes
1answer
304 views

TM package is not available (for R version 3.0.2) in Ubuntu 14.04 LTS [closed]

Since I upgrade my Ubuntu to 14.04 LTS version, I can't use the Text Mining package in R. > install.packages("tm") Installing package into ‘/home/bruno/R/x86_64-pc-linux-gnu-library/3.0’ (as ...
2
votes
1answer
340 views

Problem with Project R installation

I don't know where to put this line in the file. Or is there the possibility to achieve it over the shell somehow? I'm using 14.04. INSTALLATION To obtain the latest R packages, add an entry ...
0
votes
1answer
213 views

Problem to write .csv file using R in 14.04

I just installed,I have done some mathematical calculation successfully with R. Then I try the following, > var1 <- 1:5 > var2 <- (1:5) / 10 > var3 <- c("R", "and", "Data Mining", ...
0
votes
0answers
32 views

Hadoop execstack problem

This is my first post ever, so forgive me if this is in the wrong place. I am using Hadoop 2.4.1 on Ubuntu 14.04, and I just set up RHadoop (rmr2 and rhdfs). However I keep receiving this warning ...
0
votes
0answers
146 views

RStan installation fails with internal compiler error

I'm trying to install RStan in R 3.1.1 on Ubuntu 14.04 i-386, but get the following error message: $ R > Sys.setenv(MAKEFLAGS = "-j4") > source('http://mc-stan.org/rstan/install.R', echo = ...
1
vote
1answer
65 views

Compiling old versions of R (2.11 or older) on Ubuntu 13.10 (or newer)?

I am trying to compile an old version of R (2.11.1, specifically). "Why?", you might ask. Well, I have a program I am trying to run (that was not written by me, but I am hoping to use in my ...
3
votes
0answers
52 views

Multiline R commands disappear in command line

I generally use R from the command line. However, this problem has been annoying me. When I use the up arrow to get a previous command, if that command was multiple lines, then R only shows the last ...
2
votes
0answers
248 views

X11 font -adobe-helvetica-%s-%s-*-*-%d-*-*-*-*-*-*-*, face 2 at size 11 could not be loaded

I am on Ubuntu 13.10, with R version 3.1.0 beta (2014-03-28 r65330) -- "Spring Dance" (64 bit). It is a new install and when trying to plot I am getting above error message Error in title(main = ...
1
vote
1answer
285 views

Getting frustrated trying to update R-base

I've read through similar questions/guides: A similar question on AU - Installing latest version of R-base The guide from CRAN on updating in ubuntu - ...
0
votes
1answer
60 views

Avoid Upgrade to Software Beta Versions

Today my Update Manager in Ubuntu 12.04. updated R to the latest version called "R version 3.1.0 beta (2014-03-28 r65330) -- "Spring Dance"" I had a lot of trouble after the upgrade and I needed to ...
0
votes
2answers
316 views

Ubuntu updates blocked apt-get

last week ubuntu asked to install some updates. After doing that a series of problem came out (everything worked fine before...) and now I can't use and apt-get command because or these "missing ...
1
vote
1answer
223 views

Unable to install Rhipe package for R version 3.0.2 in ubuntu-12.04

I have ubuntu 12.04 OS with R 3.0.2 version. My problem is I am getting message like "Rhipe packages is not available for R version 3.0.2". Please let me know in case you have a workaround or any ...
0
votes
3answers
1k views

Install older version of software and dependencies [duplicate]

I need to install R 3.0.2 because a needed library isn't compatible with 3.0.3 yet (the latest). I can install the older version of R like so: sudo apt-get install r-base=3.0.2-1precise0 However ...
3
votes
1answer
2k views

how to install/upgrade r-base to 3.02?

I am pretty new to Linux. I installed R-base in my ubuntu 12.04 using the Software Center (which by default r-2.14). I want to upgrade to/install R 3.02. How can I do that? Thank you.
1
vote
1answer
230 views

install R library e1071 manually

I need to install e1071 library manually. I downloaded the latest package of the same. But configure, though successful and without errors, doesn't create a makefile. ./configure does the following: ...
0
votes
0answers
314 views

Dependency ‘DBI’ is not available for package ‘RSQLite’ when trying to Install RQDA

I am trying to install RQDA in Ubuntu, but I am always getting the following error: ERROR: dependency ‘DBI’ is not available for package ‘RSQLite’ * removing ...
0
votes
1answer
26 views

Changing Keyboard to Include “<-” [duplicate]

How would I change a key on my keyboard to print "<-", for R? I understand how to change a key to either "less" or "minus" in the keyboard files, but how would I change a key to include both?
-2
votes
0answers
144 views

Webcorpus in ubuntu [closed]

Actually its working fine in windows but am getting error in ubuntu how can i get rid of this problem,thanks. library("tm.plugin.webmining") Loading required package: tm Loading required package: ...
1
vote
1answer
353 views

Can't use RStudio any more after trying to set up an ODBC connection to a postgreSQL database

I tried to Setup an odbc connection from R to my PostgreSQL database located on a server (package RODBC). When trying to connect the connection failed because I entered a wrong Username in the DSN ...
0
votes
0answers
81 views

How to use 32-bits libraries in 64-bits R? [duplicate]

I built a server with ubuntu 64-bit and installed R 64-bit and a function.so 32bit library, every time I try to load this library in R, it shows me this error: wrong ELF class: ELFCLASS32 Is there ...
0
votes
1answer
3k views

unable to load shared object wrong ELF class: ELFCLASS32

I have a linux server with x86_64. I'm compiling an R code that needs to load a bibliblioteca. When I run this code it displays the following error has Error in dyn.load ("functions.so"): Unable to ...
0
votes
3answers
14k views

Install Curl Ubuntu 12.04

Hi I am trying to install curl library. It is a dependency for the RCurl package in R. So I must install it for R to work properly. I tried: meaneych@meaneych-VirtualBox:~$ sudo apt-get install ...
0
votes
1answer
481 views

gedit R plugin not working after upgrade to 13.10

I recently upgraded to 13.10, and my R plugin for gedit is no longer working. When I go to gedit->preferences->plugins and try to enable "R integration", I have little red error symbol and a message ...
4
votes
1answer
288 views

When trying to Install Shiny Server for R, the command in the setup instructions triggers a Bash syntax error, how do I fix it?

So I'm trying to install shiny server for the R programming language on Ubuntu 12.04, using the information available at this page on the program's github. However, when I get to this step: # ...
1
vote
1answer
94 views

Possible to call GIMP via to the commant line to flatten and export a pdf image? [duplicate]

I've got a pdf figure with millions of semi-transparent points that I made in R. I want to flatten it to reduce filesize and then export it back out as a PDF (as a vector still, not a bitmap). If ...
1
vote
1answer
3k views

How can I remove R in Ubuntu Server 12.04

I do sudo apt-get remove r-base-core and sudo apt-get remove r-base sudo apt-get remove autoremove but steel driving R in Ubuntu........
8
votes
1answer
12k views

Cannot find curl-config in Ubuntu 13.04

I am installing package RCurl in R and getting an error checking for curl-config... no Cannot find curl-config ERROR: configuration failed for package ‘RCurl’ I have tried to install libcurl ...
4
votes
2answers
297 views

Command completion in R and python

In bash terminal, I could configure the command completion by inserting these lines to the /etc/inputrc file: $if Bash # Search history back and forward using page-up and page-down "\e[5~": ...
1
vote
1answer
171 views

Rcmdr in R 3.0.1 asks to install rgl package everyime I open Rcmdr

I have installed R 3.0.1 in my Ubuntu 12.04 Laptop. I started R as root by sudo R, then installed Rcmdr package by the following command: install.packages("Rcmdr", dependencies = TRUE) but ...
2
votes
1answer
323 views

Adding switzerland cran mirror for R in /etc/apt/sources.list

I've got an error while trying to add the R cran mirror for Switzerland to the sources.list file (http://stat.ethz.ch/CRAN/), even though I followed the instructions from page ...
1
vote
1answer
2k views

Once installed geos library (C++, and C), and then trying to install rgeos package (R), it reports geos-config missing!

Knowing that the package rgeos, from the R language, requieres a prior installation of geos libraries, I installed, both, libgeos and libgeos-c1 (3.2.2), using the synaptic installer in my Ubuntu ...
1
vote
2answers
161 views

Problems with vim-r

Getting the following error when opening an .R file in vim (vim-r installed). Error detected while processing /home/johnros/.vim/r-plugin/common_global.vim: line 3106: E484: Can't open file ...
1
vote
0answers
287 views

How to make Revobase package work in R 3.0.1?

I have just moved to Ubuntu 12.04 LTS and I am having a hard time with R packages and installation. I need to use the Revobase package. I installed it this way: sudo apt-get install revolution-r ...
1
vote
1answer
448 views

How to install latest version of rgedit in 13.04

I've got a bug in the version of RGedit in ubuntu's repository and I want to install the latest version to see if this plays better with 13.04 somehow. What do I do once I download the archive? ...
0
votes
2answers
804 views

Can I customize the colors in my R terminal environment?

I'm running R version 2.13.1 and wondering if there is a way to get more interesting colors in the R terminal, either in bash or tk-R
7
votes
4answers
15k views

Installing latest version of R-base

I have been unsuccessfully trying to install the latest version (2.15.2) of r-base. Apparently, R package Rcpp would not install for R version 2.14.1 - the version that installs for me. I am not ...
8
votes
4answers
6k views

How to install rgdal on Ubuntu 12.10?

I'm strugling to install rgdal library on Ubuntu 12.10. Installation from within R results in error: Error: gdal-config not found The gdal-config script distributed with GDAL could not be ...
1
vote
2answers
2k views

What is the best way of installing the R package XLConnect?

What is the best way of installing the R package XLConnect in Ubuntu 12.04 x86? I tried to manually install it via R, using install.packages("XLConnect",dependencies=TRUE), but after half an hour of ...
1
vote
1answer
360 views

How can I install rjags on Ubuntu AMI on EC2?

I installed the pre-built Amazon Machine Image with Rstudio Server provided by bioconductor into a free micro instance on EC2. Then I installed JAGS (Just Another Gibbs Sampler to use it via rstudio ...
1
vote
1answer
343 views

Trouble updating/installing newer required R

All other answers I find only end up pointing to instructions: http://cran.r-project.org/bin/linux/ubuntu/ So interpreting that site, added line: deb http://r.meteo.uni.wroc.pl/bin/linux/ubuntu ...
2
votes
2answers
322 views

Which recent Ubuntu should I use for Matlab R2011a, Octave 3.6.1 and recent R?

I wish to install Ubuntu on a new machine 64 bits. Can you help by telling me which most recent Ubuntu will be compatible and stable with Matlab (R2011a), AND a recent Octave (3.6.1), AND a recent R ...
6
votes
2answers
145 views

What is the name of the package for R?

I tried aptitude search r, but (unsurprisingly), there are waaaay too many results to sift through.
3
votes
1answer
274 views

Good workflow for updating R modules around R-cran updates?

I like that R updates frequently to give me the best new packages, but it does seem to pose a problem for my R scripts on cron schedules. I noticed that every time ubuntu updater updates my r-base ...
3
votes
2answers
3k views

Installing R on Ubuntu - getting updates to work

I have installed R. When I update my system it however complains that the R updates aren't authentificated. What do I have to do to authentificate them?
4
votes
3answers
8k views

correct Installation and configuration of openJDK and R

I am relatively new to Ubuntu so I wont know a lot of commands that probably became standard to a lot of you guys. I am trying to set up R and with it the necessary java dependencies to install e.g. ...
0
votes
1answer
726 views

running .bat on ubuntu using wine

I needed to run a .bat file on ubuntu 10.04, so I installed wine and brought up the console. my .bat file has R scripts, and when I run start test.bat I get the following error: wine: cannot find ...
4
votes
1answer
1k views

gedit-r-plugin not showing up in plugin list in gedit

I installed the gedit-r-plugin through synaptic and in the past it has worked great. I can't seem to even get the plugin to show up in the Preferences -> Plugins list after updating to 11.10. I'm ...
4
votes
1answer
611 views

Bypassing excessive dependencies when installing r-base-core

I'm trying to install R (via r-base-core) on an ubuntu 10.10 server. It is trying to install all of the following: The following NEW packages will be installed: apt-xapian-index apturl ...